import React from 'react';
import { connect } from 'umi';
import PrintLabelComponent from '../../../components/PrintLabel/PrintLabel';

function PrintLabel({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  function removeModalPan(changePanes) {
    dispatch({ type: 'app/removeModalPane', payload: { changePanes } });
  }

  function addPane(pane) {
    dispatch({ type: 'app/addPane', payload: { pane } });
  }

  const printLabelProps = {
    dispatch,
    app,
    content,
    onAddPane: addPane,
    onRemovePane: removePane,
    onRemoveModalPane: removeModalPan,
  };
  return (
    <PrintLabelComponent {...printLabelProps} />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(PrintLabel);
